Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class Expression

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.ruleset.RuleComponent
oracle.rules.sdk.editor.ruleset.Expression`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class Expression
extends RuleComponent

An expression is a String containing either a primary expression term, such as a constant or a variable, or an advanced expression, with multiple terms and operators.

The Form property tells how it should be edited. Depending on the application, Form may be selected by the end user or fixed by the application.

FORM_SINGLE_TERM means that the expression is to be chosen from an option list, which may be either a constraint list, or a list of items from the data model. The "Show" properties can be set to create appropriate option lists from the data model.

FORM_LITERAL means that the Literal property will be used to contain a literal.

FORM_ADVANCED means that getAdvancedExpression() will be called to set and edit the expression. The validate() methods validate that the expression is syntactically and semantically correct for the context in which it is used.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `FORM_ADVANCED`
`static java.lang.String` | `FORM_LITERAL`
`static java.lang.String` | `FORM_SINGLE_TERM`
`static java.lang.String` | `PROP_ADVANCED_EXPRESSION`
`static java.lang.String` | `PROP_FORM`
`static java.lang.String` | `PROP_LITERAL_VALUE`
`static java.lang.String` | `PROP_PARAMETER_NAME`
`static java.lang.String` | `PROP_PARAMETER_REQUIRED`
`static java.lang.String` | `PROP_PARAMETER_TYPE`
`static java.lang.String` | `PROP_SHOW_CONSTANTS`
`static java.lang.String` | `PROP_SHOW_FUNCTIONS`
`static java.lang.String` | `PROP_SHOW_VARIABLES`
`static java.lang.String` | `PROP_SINGLE_TERM_VALUE`

Constructor Summary
`Expression()`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Generic property getter inheirited from `RuleComponent`.
`AdvancedExpression` | `getAdvancedExpression()`
`java.lang.String` | `getForm()`
`java.lang.String` | `getFormConstraint()`
`java.lang.String[]` | `getFormOptions()`
`int` | `getFormSelected()`
`java.lang.String` | `getLiteralValue()`
`java.lang.String` | `getLiteralValueConstraint()`
`java.lang.String[]` | `getLiteralValueOptions()`
`int` | `getLiteralValueSelected()`
`java.lang.String` | `getParameterName()`
`boolean` | `getParameterRequired()` Get true if, according to the data model, this Expression must be supplied
`java.lang.String` | `getParameterType()`
`java.lang.String[]` | `getPropertyNames()`
`boolean` | `getShowConstants()` Get Show constants in SingleTermValueOptions
`boolean` | `getShowFunctions()` Get Show functions and methods in SingleTermValueOptions
`boolean` | `getShowVariables()` Get Show variables in SingleTermValueOptions
`java.lang.String` | `getSingleTermValue()`
`java.lang.String` | `getSingleTermValueConstraint()`
`java.lang.String[]` | `getSingleTermValueOptions()`
`int` | `getSingleTermValueSelected()`
`void` | `setForm(java.lang.String form)`
`void` | `setFormConstraint(java.lang.String formConstraint)`
`void` | `setFormOptions(java.lang.String[] formOptions)`
`void` | `setLiteralValue(java.lang.String literalValue)`
`void` | `setLiteralValueConstraint(java.lang.String literalValueConstraint)`
`void` | `setLiteralValueOptions(java.lang.String[] literalValueOptions)`
`void` | `setShowConstants(boolean showConstants)` Set Show constants in SingleTermValueOptions
`void` | `setShowFunctions(boolean showFunctions)` Set Show functions and methods in SingleTermValueOptions
`void` | `setShowVariables(boolean showVariables)` Set Show variables in SingleTermValueOptions
`void` | `setSingleTermValue(java.lang.String singleTermValue)`
`void` | `setSingleTermValueConstraint(java.lang.String singleTermValueConstraint)`
`void` | `setSingleTermValueOptions(java.lang.String[] singleTermValueOptions)`
`void` | `validate()` Validates the correctness of the RuleComponent and all RuleComponents below it.

Methods inherited from class oracle.rules.sdk.editor.ruleset.RuleComponent
`clear, discardCopy, get, getConstraint, getConstraintList, getCustom, getDescription, getID, getOptions, getParent, getParentTable, getRange, getSelected, put, remove, restoreCopy, saveCopy, setCustom, setDescription, toString`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### FORM_SINGLE_TERM

    public static final java.lang.String FORM_SINGLE_TERM

  See Also:
    Constant Field Values

### FORM_LITERAL

    public static final java.lang.String FORM_LITERAL

  See Also:
    Constant Field Values

### FORM_ADVANCED

    public static final java.lang.String FORM_ADVANCED

  See Also:
    Constant Field Values

### PROP_FORM

    public static final java.lang.String PROP_FORM

  See Also:
    Constant Field Values

### PROP_PARAMETER_NAME

    public static final java.lang.String PROP_PARAMETER_NAME

  See Also:
    Constant Field Values

### PROP_PARAMETER_TYPE

    public static final java.lang.String PROP_PARAMETER_TYPE

  See Also:
    Constant Field Values

### PROP_PARAMETER_REQUIRED

    public static final java.lang.String PROP_PARAMETER_REQUIRED

  See Also:
    Constant Field Values

### PROP_SINGLE_TERM_VALUE

    public static final java.lang.String PROP_SINGLE_TERM_VALUE

  See Also:
    Constant Field Values

### PROP_LITERAL_VALUE

    public static final java.lang.String PROP_LITERAL_VALUE

  See Also:
    Constant Field Values

### PROP_ADVANCED_EXPRESSION

    public static final java.lang.String PROP_ADVANCED_EXPRESSION

  See Also:
    Constant Field Values

### PROP_SHOW_FUNCTIONS

    public static final java.lang.String PROP_SHOW_FUNCTIONS

  See Also:
    Constant Field Values

### PROP_SHOW_CONSTANTS

    public static final java.lang.String PROP_SHOW_CONSTANTS

  See Also:
    Constant Field Values

### PROP_SHOW_VARIABLES

    public static final java.lang.String PROP_SHOW_VARIABLES

  See Also:
    Constant Field Values

Constructor Detail

### Expression

    public Expression()

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from class: `RuleComponent`
  Generic property getter inheirited from `RuleComponent`.

  Please see the specific bean class for a list of properties.

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `RuleComponent`
  Parameters:
    `key` - a String containing the property name to be fetched.
  Returns:
    the value corresponding to the key: a String, String[], RuleComponent, or RuleComponentTable

### validate

    public void validate()
                  throws RuleEditorException,
                         RuleEditorSDKException

  Description copied from class: `RuleComponent`
  Validates the correctness of the RuleComponent and all RuleComponents below it.
  Overrides:
    `validate` in class `RuleComponent`
  Throws:
    `RuleEditorSDKException` - incorrect SDK usage
    `RuleEditorException` - for user input errors

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Overrides:
    `getPropertyNames` in class `RuleComponent`

### getForm

    public java.lang.String getForm()

### setForm

    public void setForm(java.lang.String form)

### getFormConstraint

    public java.lang.String getFormConstraint()

### setFormConstraint

    public void setFormConstraint(java.lang.String formConstraint)

### getFormOptions

    public java.lang.String[] getFormOptions()

### setFormOptions

    public void setFormOptions(java.lang.String[] formOptions)

### getFormSelected

    public int getFormSelected()

### getParameterName

    public java.lang.String getParameterName()

### getParameterType

    public java.lang.String getParameterType()

### getParameterRequired

    public boolean getParameterRequired()

  Get true if, according to the data model, this Expression must be supplied

### getSingleTermValue

    public java.lang.String getSingleTermValue()

### setSingleTermValue

    public void setSingleTermValue(java.lang.String singleTermValue)

### getSingleTermValueConstraint

    public java.lang.String getSingleTermValueConstraint()

### setSingleTermValueConstraint

    public void setSingleTermValueConstraint(java.lang.String singleTermValueConstraint)

### getSingleTermValueOptions

    public java.lang.String[] getSingleTermValueOptions()

### setSingleTermValueOptions

    public void setSingleTermValueOptions(java.lang.String[] singleTermValueOptions)

### getSingleTermValueSelected

    public int getSingleTermValueSelected()

### getLiteralValue

    public java.lang.String getLiteralValue()

### setLiteralValue

    public void setLiteralValue(java.lang.String literalValue)

### getLiteralValueConstraint

    public java.lang.String getLiteralValueConstraint()

### setLiteralValueConstraint

    public void setLiteralValueConstraint(java.lang.String literalValueConstraint)

### getLiteralValueOptions

    public java.lang.String[] getLiteralValueOptions()

### setLiteralValueOptions

    public void setLiteralValueOptions(java.lang.String[] literalValueOptions)

### getLiteralValueSelected

    public int getLiteralValueSelected()

### getAdvancedExpression

    public AdvancedExpression getAdvancedExpression()

### getShowFunctions

    public boolean getShowFunctions()

  Get Show functions and methods in SingleTermValueOptions

### setShowFunctions

    public void setShowFunctions(boolean showFunctions)

  Set Show functions and methods in SingleTermValueOptions

### getShowConstants

    public boolean getShowConstants()

  Get Show constants in SingleTermValueOptions

### setShowConstants

    public void setShowConstants(boolean showConstants)

  Set Show constants in SingleTermValueOptions

### getShowVariables

    public boolean getShowVariables()

  Get Show variables in SingleTermValueOptions

### setShowVariables

    public void setShowVariables(boolean showVariables)

  Set Show variables in SingleTermValueOptions

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.